NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.ConcaveFacesBuilder Class Reference

Represents a Concave Faces builder. More...

Inheritance diagram for NXOpen.Features.ConcaveFacesBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void CalculatePointCurvature (NXOpen.Face faceId, NXOpen.Point3d point, out double radius, out double minRadius, out double maxRadius)
 The radius values at the point selected on a targeted face, the maximum and minimum radius of the targeted face. More...
 
unsafe void SetFaceAttributeColor (NXOpen.NXColor attributeColor)
 Set the color ID for the specified face in tree list More...
 
unsafe void SetFaceGroupAttributeTitle (string grpAttributeTitle)
 Set face group attribute title. More...
 
unsafe void SetFaceGroupAttributeValue (string grpAttributeValue)
 Set face group attribute value. More...
 
unsafe void SetTreeSelectedIndex (int[] indexArray)
 Set face indexes in tree list. More...
 
unsafe void UpdateLocationLabel (bool edit, NXOpen.Point point)
 The PMI as a location label created or edited at the point selected on a face. More...
 
unsafe void UpdateRadiusFaces ()
 The targeted faces updated according to the given radius range, number of sample point and group interval changing. More...
 
unsafe void UpdateSelectedFacesColor ()
 Update selected faces color. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe NXOpen.NXColor AttributeColor [get, set]
 Returns or sets the color to be applied to the face. More...
 
unsafe string AttributeTitle [get, set]
 Returns or sets the title if the face attribute. More...
 
unsafe string AttributeValue [get, set]
 Returns or sets the value of the face attribute title. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Direction DrawDirection [get, set]
 Returns or sets the vector representing the draw direction. More...
 
unsafe NXOpen.ScCollector Faces [get]
 Returns the collection of all the possible faces. More...
 
unsafe double GroupInterval [get, set]
 Returns or sets the group interval value. More...
 
unsafe NXOpen.Expression Lower [get]
 Returns the lower limit of the maximum concave range. More...
 
unsafe bool ReverseNormalDirection [get, set]
 Returns or sets the reverse normal direction switch More...
 
unsafe int SamplePoints [get, set]
 Returns or sets the number of sample points to apply to the analysis. More...
 
unsafe NXOpen.Expression Upper [get]
 Returns the upper limit of the maximum concave range. More...
 
unsafe bool UseSurfaceNormal [get, set]
 Returns or sets the surface normal vector toggle More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Concave Faces builder.

These are faces which are concave with respect to the draw direction and whose maximum radii is within the specified range.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateConcaveFacesBuilder

Default values.

Property Value

Lower.Value

3 (millimeters part), 0.118 (inches part)

SamplePoints

4

Upper.Value

6 (millimeters part), 0.236 (inches part)

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Features.ConcaveFacesBuilder.CalculatePointCurvature ( NXOpen.Face  faceId,
NXOpen.Point3d  point,
out double  radius,
out double  minRadius,
out double  maxRadius 
)
inline

The radius values at the point selected on a targeted face, the maximum and minimum radius of the targeted face.

Created in NX9.0.0

License requirements: None.

Parameters
faceIdthe targeted face
pointthe point selected on targeted face
radiusthe value at point selected
minRadiusthe minimum value of targeted face
maxRadiusthe maximum value of targeted face
unsafe void NXOpen.Features.ConcaveFacesBuilder.SetFaceAttributeColor ( NXOpen.NXColor  attributeColor)
inline

Set the color ID for the specified face in tree list

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeColor
unsafe void NXOpen.Features.ConcaveFacesBuilder.SetFaceGroupAttributeTitle ( string  grpAttributeTitle)
inline

Set face group attribute title.

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
grpAttributeTitle
unsafe void NXOpen.Features.ConcaveFacesBuilder.SetFaceGroupAttributeValue ( string  grpAttributeValue)
inline

Set face group attribute value.

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
grpAttributeValue
unsafe void NXOpen.Features.ConcaveFacesBuilder.SetTreeSelectedIndex ( int[]  indexArray)
inline

Set face indexes in tree list.

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
indexArray
unsafe void NXOpen.Features.ConcaveFacesBuilder.UpdateLocationLabel ( bool  edit,
NXOpen.Point  point 
)
inline

The PMI as a location label created or edited at the point selected on a face.

Created in NX9.0.0

License requirements: None.

Parameters
editIf true edit PMI, false create PMI
pointthe point selected on targeted face
unsafe void NXOpen.Features.ConcaveFacesBuilder.UpdateRadiusFaces ( )
inline

The targeted faces updated according to the given radius range, number of sample point and group interval changing.

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Features.ConcaveFacesBuilder.UpdateSelectedFacesColor ( )
inline

Update selected faces color.

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe double NXOpen.Features.ConcaveFacesBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.NXColor NXOpen.Features.ConcaveFacesBuilder.AttributeColor
getset

Returns or sets the color to be applied to the face.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe string NXOpen.Features.ConcaveFacesBuilder.AttributeTitle
getset

Returns or sets the title if the face attribute.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe string NXOpen.Features.ConcaveFacesBuilder.AttributeValue
getset

Returns or sets the value of the face attribute title.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.ConcaveFacesBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.ConcaveFacesBuilder.DrawDirection
getset

Returns or sets the vector representing the draw direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.ConcaveFacesBuilder.Faces
get

Returns the collection of all the possible faces.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.ConcaveFacesBuilder.GroupInterval
getset

Returns or sets the group interval value.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ConcaveFacesBuilder.Lower
get

Returns the lower limit of the maximum concave range.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.ConcaveFacesBuilder.ReverseNormalDirection
getset

Returns or sets the reverse normal direction switch

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Features.ConcaveFacesBuilder.SamplePoints
getset

Returns or sets the number of sample points to apply to the analysis.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ConcaveFacesBuilder.Upper
get

Returns the upper limit of the maximum concave range.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.ConcaveFacesBuilder.UseSurfaceNormal
getset

Returns or sets the surface normal vector toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.